meanwhile: mw_srvc_place.h File Reference

# mw_srvc_place.h File Reference

`#include <glib/glist.h>`
`#include "mw_common.h"`

Go to the source code of this file.

## Data Structures
struct | mwPlaceHandler
## Defines
#define | mwService_PLACE 0x80000022
| Type identifier for the place service.
## Enumerations
enum | mwPlacePeerAttribute { mwPlacePeer_TYPING = 0x00000008 }
## Functions
int | mwPlace_destroy (struct mwPlace *place, guint32 code)
gpointer | mwPlace_getClientData (struct mwPlace *place)
GList * | mwPlace_getMembers (struct mwPlace *place)
| returns a GList* of struct mwIdBlock*.
const char * | mwPlace_getName (struct mwPlace *place)
struct mwServicePlace * | mwPlace_getService (struct mwPlace *place)
const char * | mwPlace_getTitle (struct mwPlace *place)
int | mwPlace_legacyInvite (struct mwPlace *place, struct mwIdBlock *idb, const char *message)
| send a legacy invitation for this place to a user.
struct mwPlace * | mwPlace_new (struct mwServicePlace *srvc, const char *name, const char *title)
int | mwPlace_open (struct mwPlace *place)
void | mwPlace_removeClientData (struct mwPlace *place)
int | mwPlace_sendText (struct mwPlace *place, const char *msg)
int | mwPlace_setAttribute (struct mwPlace *place, guint32 attrib, struct mwOpaque *data)
void | mwPlace_setClientData (struct mwPlace *place, gpointer data, GDestroyNotify clean)
int | mwPlace_unsetAttribute (struct mwPlace *place, guint32 attrib)
struct mwPlaceHandler * | mwServicePlace_getHandler (struct mwServicePlace *srvc)
const GList * | mwServicePlace_getPlaces (struct mwServicePlace *srvc)
struct mwServicePlace * | mwServicePlace_new (struct mwSession *session, struct mwPlaceHandler *handler)

## Define Documentation

#define mwService_PLACE 0x80000022

Type identifier for the place service.

## Enumeration Type Documentation

enum mwPlacePeerAttribute

Enumerator:

  mwPlacePeer_TYPING |

## Function Documentation

int mwPlace_destroy | ( | struct mwPlace * | place,
|  | guint32 | code |
| ) |  |  |

gpointer mwPlace_getClientData | ( | struct mwPlace * | place | ) |

GList* mwPlace_getMembers | ( | struct mwPlace * | place | ) |

returns a GList* of struct mwIdBlock*.

The GList will need to be freed after use, the mwIdBlock structures should not be modified or freed

const char* mwPlace_getName | ( | struct mwPlace * | place | ) |

struct mwServicePlace* mwPlace_getService | ( | struct mwPlace * | place | ) | `[read]`

const char* mwPlace_getTitle | ( | struct mwPlace * | place | ) |

int mwPlace_legacyInvite | ( | struct mwPlace * | place,
|  | struct mwIdBlock * | idb,
|  | const char * | message |
| ) |  |  |

send a legacy invitation for this place to a user.

The user will receive an apparent invitation from a Conference (rather than a Place)

struct mwPlace* mwPlace_new | ( | struct mwServicePlace * | srvc,
|  | const char * | name,
|  | const char * | title |
| ) |  |  | `[read]`

int mwPlace_open | ( | struct mwPlace * | place | ) |

void mwPlace_removeClientData | ( | struct mwPlace * | place | ) |

int mwPlace_sendText | ( | struct mwPlace * | place,
|  | const char * | msg |
| ) |  |  |

int mwPlace_setAttribute | ( | struct mwPlace * | place,
|  | guint32 | attrib,
|  | struct mwOpaque * | data |
| ) |  |  |

void mwPlace_setClientData | ( | struct mwPlace * | place,
|  | gpointer | data,
|  | GDestroyNotify | clean |
| ) |  |  |

int mwPlace_unsetAttribute | ( | struct mwPlace * | place,
|  | guint32 | attrib |
| ) |  |  |

struct mwPlaceHandler* mwServicePlace_getHandler | ( | struct mwServicePlace * | srvc | ) | `[read]`

const GList* mwServicePlace_getPlaces | ( | struct mwServicePlace * | srvc | ) |

struct mwServicePlace* mwServicePlace_new | ( | struct mwSession * | session,
|  | struct mwPlaceHandler * | handler |
| ) |  |  | `[read]`